# module Facets

### Constants

VERSION

### Public Class Methods

const_missing(name) click to toggle source
Calls superclass method

    # File lib/facets/version.rb, line 11
    def self.const_missing(name)
      key = name.to_s.downcase
      profile[key] || super(name)
    end

profile() click to toggle source

    # File lib/facets/version.rb, line 3
    def self.profile
      @profile ||= (
        require 'yaml'
        YAML.load(File.new(File.dirname(__FILE__) + '/facets.yml'))
      )
    end